[![CircleCI](https://circleci.com/gh/WeInfuse/necessitas.svg?style=svg)](https://circleci.com/gh/WeInfuse/necessitas)

# Necessitas
Connect with various medical supplier apis

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'necessitas'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install necessitas

## Usage

### Setup

Make sure you're [configured](#configuration)!

```ruby
connection = Necessitas::Connection::Besse.new(customer_number: '123abc')
```

### List Items

```ruby
connection.check_inventory(items: items)
```

### Submit Purchase Order

```ruby
connection.place_order(order: order)
```

### Configuration

## Besse

```ruby
Necessitas::Configuration::Besse.configure do |c|
  c.api_key      = ENV['BESSE_API_KEY']
  c.username     = ENV['BESSE_USERNAME_KEY']
  c.password     = ENV['BESSE_PASSWORD_KEY']
  c.api_endpoint = 'http://hello.com' # Defaults to 'ALPHA' endpoint
end
```

## Development
### Prep
`bin/setup`

### Test
`rake test`

### Debug
`bin/console`

### Install Local
`bundle exec rake install`

### Release
- Change version number in `version.rb`
- Add notes in CHANGELOG.md
- `bundle exec rake release` - which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/WeInfuse/necessitas.
